package com.example.reshello;

import android.app.Activity;
import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.util.Log;
import android.view.MotionEvent;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.Toast;

import com.alibaba.wireless.app.CommonUIService;
import com.alibaba.wireless.app.OmniCommon;

public class MainActivity extends FragmentActivity implements OnClickListener{
 
	private Button loading_layout;
	private Button stop_layout;
	private Button nodata_layout;
	private Button nonet_layout;
	private CommonUIService mCommonUIService;
	private LinearLayout layout_center;
	
	@Override 
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		mCommonUIService = OmniCommon.getInstance().getCommonUIService(this);
		mCommonUIService.setContentView(R.layout.activity_main);
		
		layout_center = (LinearLayout) findViewById(R.id.layout_center);

		loading_layout = (Button) findViewById(R.id.loading_layout);
		nodata_layout = (Button) findViewById(R.id.nodata_layout);
		nonet_layout = (Button) findViewById(R.id.nonet_layout);
		stop_layout = (Button) findViewById(R.id.stop_layout);
		
		loading_layout.setOnClickListener(this);
		nodata_layout.setOnClickListener(this);
		nonet_layout.setOnClickListener(this);
		stop_layout.setOnClickListener(this);
	}
	@Override
	public void onClick(View v) {
		switch (v.getId()) {
		case R.id.loading_layout://加载loading
			mCommonUIService.show(R.id.layout_center, "omni_loading");
			break;
		case R.id.nodata_layout://加载无数据页面
			mCommonUIService.show(R.id.layout_center, "omni_nodata");
			break;
		case R.id.nonet_layout://加载无网络页面
			mCommonUIService.show(R.id.layout_center, "omni_nonet");
			break;
		case R.id.stop_layout:
			mCommonUIService.dismiss(R.id.layout_center);
			break;
		}
	}
	
	public void tryAgain(View v){
		Toast.makeText(this, "正在重新加载 ，请稍候", 1000).show();;
	}
	
	public void touchAgain(View v, MotionEvent event){
		Log.d("test", "touch v = " + v + " event = " + event);
		
	}
}
